image: node:17.9.0-stretch
stages:
 - build
 - test

install_dependencies:
 stage: build
 script: yarn install
 artifacts:
 cache:
   key:
     files:
       - yarn.lock
   paths:
     - node_modules
run_tests:
 stage: test
 script: CI=true yarn test
 
run_linter:
 stage: test
 script: yarn run eslint src/**.js
